> ## Documentation Index
> Fetch the complete documentation index at: https://docs-hosting.axiomesh.io/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getTransactionByBlockNumberAndIndex

Returns information about a transaction by block number and transaction index position

### Body

<ParamField body="id" type="number" placeholder="1">
  Serves as a unique identifier for the request
</ParamField>

<ParamField body="jsonrpc" type="string" placeholder="2.0">
  Indicates the version of JSON-RPC being used
</ParamField>

<ParamField body="method" type="string" placeholder="eth_getTransactionByBlockNumberAndIndex">
  Represents the name of the remote procedure or method to be called
</ParamField>

<ParamField body="params" type="array">
  Contains the list of parameters passed to the remote method

  <ParamField body="blockNumber" type="string">
    Hexadecimal block number, or the string "latest", "earliest" or "pending"
  </ParamField>

  <ParamField body="transactionIndex" type="string">
    A hex of the integer representing the position in the block
  </ParamField>
</ParamField>

### Response

<ResponseField name="id" type="number">
  Returns unique identifier for the request
</ResponseField>

<ResponseField name="jsonrpc" type="string">
  Returns the version of JSON-RPC being used
</ResponseField>

<ResponseField name="transaction" type="object">
  A transaction object, or null when no transaction was found

  <Expandable title="transaction object">
    <ResponseField name="blockHash" type="string">
      32 Bytes - hash of the block including this transaction. null when it's pending
    </ResponseField>

    <ResponseField name="blockNumber" type="string">
      Number of the block including this transaction. null when it's pending
    </ResponseField>

    <ResponseField name="from" type="string">
      20 Bytes - address of the sender
    </ResponseField>

    <ResponseField name="gas" type="string">
      Gas provided by the sender
    </ResponseField>

    <ResponseField name="gasPrice" type="string">
      Gas price provided by the sender in Mol
    </ResponseField>

    <ResponseField name="gasFeeCap" type="string">
      MaxFeePerGas,Maximum fee, in Mol, the sender is willing to pay per gas above the base fee
    </ResponseField>

    <ResponseField name="gasTipCap" type="string">
      MaxPriorityFeePerGas,Maximum total fee (base fee + priority fee), in Mol, the sender is willing to pay per gas
    </ResponseField>

    <ResponseField name="hash" type="string">
      32 Bytes - hash of the transaction
    </ResponseField>

    <ResponseField name="input" type="string">
      The data sent along with the transaction
    </ResponseField>

    <ResponseField name="nonce" type="string">
      The number of transactions made by the sender prior to this one
    </ResponseField>

    <ResponseField name="to" type="string">
      20 Bytes - address of the receiver. null when its a contract creation transaction
    </ResponseField>

    <ResponseField name="transactionIndex" type="string">
      Integer of the transactions index position in the block. null when its pending
    </ResponseField>

    <ResponseField name="value" type="string">
      Value transferred in Mol
    </ResponseField>

    <ResponseField name="type" type="string">
      The transaction type
    </ResponseField>

    <ResponseField name="Accesses" type="array">
      List of addresses and storage keys the transaction plans to access
    </ResponseField>

    <ResponseField name="chainID" type="string">
      Chain ID specifying the network. Returned only for EIP-1559 transactions
    </ResponseField>

    <ResponseField name="v" type="string">
      ECDSA recovery ID
    </ResponseField>

    <ResponseField name="r" type="string">
      32 Bytes - ECDSA signature r
    </ResponseField>

    <ResponseField name="s" type="string">
      32 Bytes - ECDSA signature s
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl  'https://rpc1.aries.axiomesh.io' \
  --header 'Content-Type: application/json' \
  --data '{
      "jsonrpc": "2.0",
      "method": "eth_getTransactionByBlockNumberAndIndex",
      "params": ["latest","0x0"],
      "id": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "jsonrpc": "2.0",
      "id": 1,
      "result": {
          "blockHash": "0xf5abf88eca668507fbf7d65ef76bebcb30fb4354943682d8a0e97c9da2275a11",
          "blockNumber": "0x3",
          "from": "0xc7f999b83af6df9e67d0a37ee7e900bf38b3d013",
          "gas": "0xac4c",
          "gasPrice": "0x2540be400",
          "hash": "0x04307b5f0882c6665a847b87bba2ea65e002dc7e0fcc62dfba49c4c7b7f15b62",
          "input": "0x4000e4f645700000000000000000000000000000000000000000000000000000000000004570000000000000000000000000000000000000000000000000000000000001",
          "nonce": "0x1",
          "to": "0x4cd8ee4fc57c51d8af5b6b6a08cc441f2b4fcbfe",
          "transactionIndex": "0x0",
          "value": "0x0",
          "type": "0x0",
          "v": "0xabc",
          "r": "0x4264bb2e2eb36452a36b5de83a7bab9a3133d1196590477ebad98cf57669cb6b",
          "s": "0x29903c1cea0b97f663909cfe5c0f09ef40dba6a4c69b6aa34a89acd7d936a96"
      }
  }
  ```
</ResponseExample>
